:root{
    --slot-width-coef: 0.180;
    --slot-top-coef: 0.672;
    --slot-machine-width: 974px;
    --play-btn-fs-coef: 0.09;
    --play-btn-width-coef: 0.55;
    --play-btn-bottom-coef: 0.14;

}

.slot-machine {
    position: relative;
    aspect-ratio: 974 / 1305;
    height: auto;
    width: var(--slot-machine-width);
    max-width: 974px;
    will-change: transform;
    z-index: 0;
    overflow: hidden;
}

.play-btn {
    position: absolute;
    cursor: pointer;
    aspect-ratio: 498 / 108;
    width: calc(var(--slot-machine-width) * var(--play-btn-width-coef));
    background: image-set(
            url("../img/btn/btn_frame@1x.webp") 1x,
            url("../img/btn/btn_frame@2x.webp") 2x
    ) center/contain no-repeat;
    left: 50%;
    transform: translateX(-50%);
    bottom: calc(var(--slot-machine-width) * var(--play-btn-bottom-coef));
    z-index: 3;
    display: flex;
    align-items: center;
    justify-content: center;
}

.play-btn::before,
.play-btn::after {
    content: 'Играть';
    position: absolute;
    top: 0;
    left: 50%;
    transform: translateX(-50%) translateY(0) scaleY(1);
    width: 95%;
    aspect-ratio: 471 / 82;
    transform-origin: center;
    transition: transform 150ms ease, opacity 120ms ease;
    background-position: center;
    background-size: contain;
    background-repeat: no-repeat;
    will-change: transform, opacity;
    display: flex;
    align-items: flex-start;
    justify-content: center;
    color: #fff;
    font-size: calc(var(--slot-machine-width) * var(--play-btn-width-coef) * var(--play-btn-fs-coef));
    line-height: 1.6;
    font-family: "Roboto Condensed", sans-serif;
    font-optical-sizing: auto;
    font-weight: 900;
    font-style: normal;
}

.play-btn::before {
    background-image: image-set(
            url("../img/btn/btn_inner_unactive@1x.webp") 1x,
            url("../img/btn/btn_inner_unactive@2x.webp") 2x);
    opacity: 1;
}

.play-btn::after {
    background-image: image-set(
            url("../img/btn/btn_inner_active@1x.webp") 1x,
            url("../img/btn/btn_inner_active@2x.webp") 2x);
    opacity: 0;
}

.play-btn:hover::after {
    opacity: 1;
}

.play-btn.is-pressed::before,
.play-btn.is-pressed::after {
    transform: translateX(-50%) translateY(4px) scaleY(0.9);
}

.play-btn__label {
    position: relative;
    z-index: 1;
    font-size: calc(var(--slot-machine-width) * 0.07);
    color: #fff;
    text-shadow: 0 0 8px rgba(0, 0, 0, 0.5);
    user-select: none;
    pointer-events: none;
    font-weight: 600;
    font-family: 'Arial Black', Arial, sans-serif;
}

.slot {
    position: absolute;
    z-index: 1;
    left: 50%;
    transform: translateX(-50%);
    width: calc(var(--slot-machine-width) * var(--slot-width-coef));
    top: calc(var(--slot-machine-width) * var(--slot-top-coef));
    display: inline-block;
}

.slot__viewport {
    aspect-ratio: 1 / 1;
    width: 100%;
    overflow: hidden;
    position: relative;
}

.slot__reel {
    display: flex;
    flex-direction: column;
    align-items: center;
    transform: translateY(0);
    transition: transform 0s linear;
    will-change: transform;
    backface-visibility: hidden;
}

.slot__image {
    flex: 0 0 1;
    width: 100%;
    display: grid;
    place-items: center;
}

.slot__image img {
    width: 100%;
    height: 100%;
    object-fit: contain;
    display: block;
    pointer-events: none;
}

.slot-machine-undercover,
.slot-machine-frame,
.slot-machine-frame__mask,
.slot-machine-frame__active-mask-1,
.slot-machine-frame__active-mask-2,
.slot-machine-frame__active-mask-3,
.slot-machine-frame__total-default,
.slot-machine-frame__total-win {
    position: absolute;
    width: 100%;
    height: auto;
    display: block;
    pointer-events: none;
}

.slot-machine-undercover {
    z-index: 1;
}

.slot-machine-frame {
    z-index: 2;
}

.slot-machine-frame__mask {
    animation: fadeInOut 4s ease-in-out infinite;
    -webkit-animation: fadeInOut 4s ease-in-out infinite;
    z-index: 3;
}

.slot-machine-frame__active-mask-1,
.slot-machine-frame__active-mask-2,
.slot-machine-frame__active-mask-3 {
    opacity: 0;
}

.slot-machine-frame__active-mask-1 {
    z-index: 4;
}

.slot-machine-frame__active-mask-2 {
    z-index: 5;
}

.slot-machine-frame__active-mask-3 {
    z-index: 6;
}

.slot-machine-frame__active-mask.slot-machine-frame__active-mask-1.active {
    animation: fadeIn 1.5s ease-in-out forwards;
    -webkit-animation: fadeIn 1.5s ease-in-out forwards;
}

.slot-machine-frame__active-mask.slot-machine-frame__active-mask-2.active {
    animation: fadeIn 1.5s .3s ease-in-out forwards;
    -webkit-animation: fadeIn 1.5s .3s ease-in-out forwards;
}

.slot-machine-frame__active-mask.slot-machine-frame__active-mask-3.active {
    animation: fadeIn 1.5s .6s ease-in-out forwards;
    -webkit-animation: fadeIn 1.5s .6s ease-in-out forwards;
}

.slot-machine-frame__total-default {
    z-index: 7;
    opacity: 1;
    will-change: opacity;
}

.slot-machine-frame__total-default.hide {
    opacity: 0;
}

.slot-machine-frame__total-win {
    z-index: 8;
    opacity: 0;
    will-change: opacity;
}

.slot-machine-frame__total-win.active {
    animation: fadeInOutIn 4s ease-in-out forwards;
    -webkit-animation: fadeInOutIn 4s ease-in-out forwards;
}

@media (orientation: portrait) and (min-width: 0px) {
    :root {
        --slot-machine-width: clamp(100px, min(95vw, 47vh), 974px);
    }

    .slot-machine {
        position: absolute;
        bottom: 0;
    }
}

@media (orientation: landscape) and (min-width: 0px) {
    :root {
        --slot-machine-width: clamp(100px, min(45vw, 73vh), 974px);
    }

    .slot-machine {
        align-self: flex-end;
    }
}
